gtkmm: Gtk::AccelKey Class Reference

gtkmm 4.12.0

Public Member Functions | Protected Attributes | List of all members
Gtk::AccelKey Class Reference
Menu classes

Defines accelerator key combinations. More...

`#include <gtkmm/accelkey.h>`

## Public Member Functions
| AccelKey ()
| AccelKey (guint accel_key, Gdk::ModifierType accel_mods, const Glib::ustring & accel_path={})
| AccelKey constructor.
| AccelKey (const Glib::ustring & accelerator, const Glib::ustring & accel_path={})
| AccelKey constructor.
| AccelKey (const AccelKey & src)
AccelKey & | operator= (const AccelKey & src)
bool | is_null () const
guint | get_key () const
| Gets the accelerator key.
Gdk::ModifierType | get_mod () const
| Gets the accelerator modifier.
Glib::ustring | get_path () const
| Gets the accelerator path.
Glib::ustring | get_abbrev () const
| Gets the accelerator representation for labels.

## Protected Attributes
guint | key_
Gdk::ModifierType | mod_
Glib::ustring | path_

## Detailed Description

Defines accelerator key combinations.

For instance, pressing Control-Q to activate the File|Quit menu item.

By defining accelerator paths you can allow the user of your application to change accelerators himself. An example of an accelerator might be "<MainWindow>/File/Open". Modified accelerators may be saved.

Key values are the codes which are sent whenever a key is pressed or released. The complete list of key values can be found in the gdk/gdkkeysyms.h header file. They are prefixed with `GDK_KEY_`.

## Constructor & Destructor Documentation

## ◆ AccelKey() [1/4]

Gtk::AccelKey::AccelKey | ( |  | ) |

## ◆ AccelKey() [2/4]

Gtk::AccelKey::AccelKey | ( | guint | accel_key,
|  | Gdk::ModifierType | accel_mods,
|  | const Glib::ustring & | accel_path = `{}`
| ) |  |

AccelKey constructor.

Parameters

  accel_key | For instance, 'q'
  accel_mods | For instance, Gdk::ModifierType::CONTROL_MASK
  accel_path | For instance, "<MainWindow>/File/Open"

## ◆ AccelKey() [3/4]

Gtk::AccelKey::AccelKey | ( | const Glib::ustring & | accelerator,
|  | const Glib::ustring & | accel_path = `{}`
| ) |  |

AccelKey constructor.

Parameters

  accelerator | For instance, "<control>q" - Use <control>, <shift>, <alt> and <release>. Use F1, F2, etc, for function keys.
  accel_path | For instance, "<MainWindow>/File/Open"

## ◆ AccelKey() [4/4]

Gtk::AccelKey::AccelKey | ( | const AccelKey & | src | ) |

## Member Function Documentation

## ◆ get_abbrev()

Glib::ustring Gtk::AccelKey::get_abbrev | ( |  | ) | const

Gets the accelerator representation for labels.

## ◆ get_key()

guint Gtk::AccelKey::get_key | ( |  | ) | const

Gets the accelerator key.

## ◆ get_mod()

Gdk::ModifierType Gtk::AccelKey::get_mod | ( |  | ) | const

Gets the accelerator modifier.

## ◆ get_path()

Glib::ustring Gtk::AccelKey::get_path | ( |  | ) | const

Gets the accelerator path.

## ◆ is_null()

bool Gtk::AccelKey::is_null | ( |  | ) | const

## ◆ operator=()

AccelKey & Gtk::AccelKey::operator= | ( | const AccelKey & | src | ) |

## Member Data Documentation

## ◆ key_

guint Gtk::AccelKey::key_
| protected

## ◆ mod_

Gdk::ModifierType Gtk::AccelKey::mod_
| protected

## ◆ path_

Glib::ustring Gtk::AccelKey::path_
| protected